enumerable_thread_specific.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "atomic.h"`
`#include "concurrent_vector.h"`
`#include "tbb_thread.h"`
`#include "tbb_allocator.h"`
`#include "cache_aligned_allocator.h"`
`#include "aligned_space.h"`
`#include "internal/_template_helpers.h"`
`#include "internal/_tbb_hash_compare_impl.h"`
`#include "tbb_profiling.h"`
`#include <string.h>`
`#include <pthread.h>`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for enumerable_thread_specific.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::interface6::enumerable_thread_specific< T, Allocator, ETS_key_type >
| The enumerable_thread_specific container. More...
class | tbb::interface6::enumerable_thread_specific< T, Allocator, ETS_key_type >::generic_range_type< I >
| A generic range, used to create range objects from the iterators. More...
class | tbb::interface6::flattened2d< Container >

## Namespaces

| tbb
| The graph class.
| tbb::interface6
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_enumerable_thread_specific_H_include_area
#define | __TBB_ETS_USE_CPP11

## Enumerations

enum | tbb::ets_key_usage_type { tbb::ets_key_per_instance , tbb::ets_no_key }
| enum for selecting between single key and key-per-instance versions More...

## Functions

template<typename Container >
flattened2d< Container > | tbb::interface6::flatten2d (const Container &c, const typename Container::const_iterator b, const typename Container::const_iterator e)
template<typename Container >
flattened2d< Container > | tbb::interface6::flatten2d (const Container &c)

## Macro Definition Documentation

## __TBB_enumerable_thread_specific_H_include_area

#define __TBB_enumerable_thread_specific_H_include_area

Definition at line 20 of file enumerable_thread_specific.h.

## __TBB_ETS_USE_CPP11

#define __TBB_ETS_USE_CPP11

Value:
(__TBB_CPP11_RVALUE_REF_PRESENT && __TBB_CPP11_VARIADIC_TEMPLATES_PRESENT \
&& __TBB_CPP11_DECLTYPE_PRESENT && __TBB_CPP11_LAMBDAS_PRESENT)
__TBB_CPP11_VARIADIC_TEMPLATES_PRESENT
#define __TBB_CPP11_VARIADIC_TEMPLATES_PRESENT
Definition: tbb_config.h:297
__TBB_CPP11_LAMBDAS_PRESENT
#define __TBB_CPP11_LAMBDAS_PRESENT
Definition: tbb_config.h:310
__TBB_CPP11_RVALUE_REF_PRESENT
#define __TBB_CPP11_RVALUE_REF_PRESENT
Definition: tbb_config.h:298
__TBB_CPP11_DECLTYPE_PRESENT
#define __TBB_CPP11_DECLTYPE_PRESENT
Definition: tbb_config.h:309

Definition at line 44 of file enumerable_thread_specific.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.